#

include(`dict.h')
include(`KERcalls.h')

/*
 *       SCCS File Type - Emulator Source File
 *
 *       What identification string
 */
static char *_S_K05	"@(#)EM_K05.c	3.1";
	/****************************************************************/
	/*
	 *      K_get_file_status
	 */
/*
 *      K_get_file_status (
 *          1   fSeid,    : seid           : long   (* file SEID *)
 *          2   stCap,    : openDescriptor : int    (* subtype   *)
 *          3  &status    : file_stat_block: struct (* io status *)
 *              )
 */

K_get_file_status(  PfSeid, PstCap,  PstatusP )
	seid              PfSeid;
	openDescriptor    PstCap;
	file_stat_block   *PstatusP;
{
	K_err_num       ex;

	struct  {       /* Kgetfs_param  */
			seid            f_seid; /* const */
			openDescriptor  stCap;  /* const */
			/* vars */
			file_stat_block vstatus;
		}pb;



	pb.f_seid = PfSeid;
	pb.stCap  = PstCap;

	ex = EMT05(&pb);

	st_copy(&pb.vstatus, PstatusP, sizeof(file_stat_block) );

	return( ex );
}


